package com.sinosig.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.repository.po.SJZDX;
import com.sinosig.core.module.filter.SJZDXSearchContext;

/**
 * 实体 [数据字典项] 存储对象
 */
public interface SJZDXRepository extends Repository<SJZDX> {
    
    /**
	 * 查询集合 [车类种类]
	 * @param context
	 * @return
	 */
    Page<SJZDX> searchCLZL(SJZDXSearchContext context);

    /**
	 * 查询集合 [业务来源]
	 * @param context
	 * @return
	 */
    Page<SJZDX> searchYWLY(SJZDXSearchContext context);

    /**
	 * 查询集合 [车辆大类]
	 * @param context
	 * @return
	 */
    Page<SJZDX> searchCLDL(SJZDXSearchContext context);

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<SJZDX> searchDefault(SJZDXSearchContext context);


    SJZDX convert2PO(com.sinosig.core.module.domain.SJZDX domain , SJZDX po) ;
	
    com.sinosig.core.module.domain.SJZDX convert2Domain( SJZDX po ,com.sinosig.core.module.domain.SJZDX domain) ;

}
